### Method

# Qmi Client is_valid

since: 1.20

#### Declaration [src]

    gboolean
    qmi_client_is_valid (
      QmiClient* self
    )

#### Description [src]

Checks whether `QmiClient` is a valid and usable client.

The client is marked as invalid as soon as the client id is released or when the associated `QmiDevice` is closed.

This method may be used if the caller needs to ensure validity before a command is attempted, e.g. if the lifecycle of the object is managed in some other place and the caller just has a reference to the `QmiClient`.

Available since: 1.20

#### Return value

Type: `gboolean`

`TRUE` if the client is valid, `FALSE` otherwise.